| fgl-5.4.2.0: Martin Erwig's Functional Graph Library | Source code | Contents | Index

Data.Graph.Inductive.Internal.RootPath

Contents

Types
Operations

Description
Inward directed trees as lists of paths.
Synopsis

type RTree = [Path]
type LRTree a = [LPath a]
getPath :: Node -> RTree -> Path
getLPath :: Node -> LRTree a -> LPath a
getDistance :: Node -> LRTree a -> a
getLPathNodes :: Node -> LRTree a -> Path

Types

type RTree = [Path] | Source

type LRTree a = [LPath a] | Source

Operations

getPath :: Node -> RTree -> Path | Source

getLPath :: Node -> LRTree a -> LPath a | Source

getDistance :: Node -> LRTree a -> a | Source

getLPathNodes :: Node -> LRTree a -> Path | Source

Produced by Haddock version 0.9